드디어 PHP 7.2를 적용했습니다

2

현재 워드프레스의 권장 PHP 버전은 7.2 이상입니다.

  • PHP 7.2 이상
  • MySQL 5.6 이상 또는 MariaDB 10.0 이상
  • Nginx 또는 Apache with mod_rewrite module
  • HTTPS 지원

이 블로그가 이용 중인 Bluehost VPS에서는 PHP 7.2를 이용할 수 있습니다. 하지만 1월 말에 PHP 7.2를 적용하니 에러가 발생하여 PHP 7.1을 유지하다가 지난 주에 PHP 7.2를 다시 적용해보니 문제 없이 작동하네요.

PHP 버전을 확인해보니 PHP 7.2.3으로 표시되네요.

PHP 7.2.3

Bluehost 공유호스팅에서 PHP 버전을 변경하는 방법은 다음 글을 참고해보시기 바랍니다.

Bluehost VPS의 경우 WHM에 로그인하여 PHP 7.2를 빌드한 후에 PHP 7.2 버전을 선택할 수 있습니다.

PHP 7.2가 빌드되어 있지 않다면 WHM > EasyApache4로 접속하여 Currently Installed PackagesCustomize하여 PHP 7.2 패키지를 추가할 수 있습니다.

PHP 7.2 설치하기

PHP 7.2를 설치한 후에는 MultiPHP INI Editor에서 PHP 환경 설정값을 변경해주도록 합니다.

PHP 버전 변경하기

저는 다음과 비슷하게 설정했습니다.

그리고 MultiPHP Manager에서 PHP 버전을 변경할 수 있습니다.

저가 호스팅의 경우 아직은 많은 호스팅에서 PHP 7.0까지 제공하고 있으며, 간혹 PHP 7.1을 제공하는 곳도 있습니다. (고대디에서는 최근 PHP 7.0과 PHP 7.1에 대한 지원이 추가되었습니다. “한국어 지원이 제공되는 해외 호스팅 – 고대디(GoDaddy)” 참고)

해외 호스팅 중 하나인 Siteground에서는 PHP 7.2까지 이용이 가능합니다. 사이트그라운드에서는 특히 폴더별로 PHP 버전을 적용할 수 있어 편리하게 PHP 버전을 적용할 수 있습니다.

사이트그라운드는 비교적 안정적이고 속도도 빠른 편이며 사용하기에도 편리한 편입니다.  가성비가 좋은 호스팅을 원한다면 Bluehost 공유호스팅을 고려해볼 수 있습니다. 저렴하게 괜찮은 리소를 이용할 수 있습니다. 안정성과 속도가 중요하다면 Siteground가 더 괜찮은 옵션 같습니다.

Related Posts